Bug 738522 - Traceback in event-test.py when revert to a snapshot
Summary: Traceback in event-test.py when revert to a snapshot
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libvirt
Version: 6.2
Hardware: Unspecified
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Eric Blake
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-15 05:11 UTC by Nan Zhang
Modified: 2012-01-03 21:13 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-01-03 21:13:22 UTC


Attachments (Terms of Use)

Description Nan Zhang 2011-09-15 05:11:00 UTC
Description of problem:
As subject.
Refer to Comment 6 of BZ#737010 for reproduced steps.

Version-Release number of selected component (if applicable):
libvirt-0.9.4-11.el6.x86_64

How reproducible:
always

Steps to Reproduce:
# python /usr/share/doc/libvirt-python-0.9.4/events-python/event-test.py
Using uri:qemu:///system
myDomainEventCallback1 EVENT: Domain foo(3) Started Booted
myDomainEventCallback2 EVENT: Domain foo(3) Started Booted
myDomainEventCallback1 EVENT: Domain foo(3) Suspended Paused
myDomainEventCallback2 EVENT: Domain foo(3) Suspended Paused
myDomainEventCallback1 EVENT: Domain foo(3) Resumed Unpaused
myDomainEventCallback2 EVENT: Domain foo(3) Resumed Unpaused
myDomainEventCallback1 EVENT: Domain foo(-1) Stopped Saved
myDomainEventCallback2 EVENT: Domain foo(-1) Stopped Saved
myDomainEventCallback1 EVENT: Domain foo(4) Started Restored
myDomainEventCallback2 EVENT: Domain foo(4) Started Restored
myDomainEventCallback1 EVENT: Domain foo(4) Suspended Paused
myDomainEventCallback2 EVENT: Domain foo(4) Suspended Paused
myDomainEventCallback1 EVENT: Domain foo(-1) Stopped Destroyed
myDomainEventCallback2 EVENT: Domain foo(-1) Stopped Destroyed
myDomainEventCallback1 EVENT: Domain foo(5) Started Snapshot
myDomainEventCallback2 EVENT: Domain foo(5) Started Snapshot
Traceback (most recent call last):
  File "/usr/lib64/python2.6/site-packages/libvirt.py", line 2979, in _dispatchDomainEventCallbacks
    cb(self,dom,event,detail,opaque)
  File "/usr/share/doc/libvirt-python-0.9.4/events-python/event-test.py", line 450, in myDomainEventCallback1
    detailToString(event, detail))
  File "/usr/share/doc/libvirt-python-0.9.4/events-python/event-test.py", line 445, in detailToString
    return eventStrings[event][detail]
IndexError: tuple index out of range
Traceback (most recent call last):
  File "/usr/lib64/python2.6/site-packages/libvirt.py", line 2990, in _dispatchDomainEventLifecycleCallback
    cb(self, virDomain(self, _obj=dom), event, detail, opaque)
  File "/usr/share/doc/libvirt-python-0.9.4/events-python/event-test.py", line 455, in myDomainEventCallback2
    detailToString(event, detail))
  File "/usr/share/doc/libvirt-python-0.9.4/events-python/event-test.py", line 445, in detailToString
    return eventStrings[event][detail]
IndexError: tuple index out of range

  
Actual results:
Traceback occurs when revert to a snapshot

Expected results:
No any trackback.

Additional info:
event-c version works well.

Comment 4 Dave Allan 2011-12-19 21:28:03 UTC
Is this behavior reproducible on the current 6.3 builds?

Comment 5 Nan Zhang 2011-12-21 06:41:39 UTC
Yes, it's also reproducible on libvirt-0.9.8-1.el6.x86_64 build.

Traceback (most recent call last):
  File "/usr/lib64/python2.6/site-packages/libvirt.py", line 3042, in _dispatchDomainEventCallbacks
    cb(self,dom,event,detail,opaque)
  File "/usr/share/doc/libvirt-python-0.9.8/events-python/event-test.py", line 452, in myDomainEventCallback1
    detailToString(event, detail))
  File "/usr/share/doc/libvirt-python-0.9.8/events-python/event-test.py", line 447, in detailToString
    return eventStrings[event][detail]
IndexError: tuple index out of range
Traceback (most recent call last):
  File "/usr/lib64/python2.6/site-packages/libvirt.py", line 3053, in _dispatchDomainEventLifecycleCallback
    cb(self, virDomain(self, _obj=dom), event, detail, opaque)
  File "/usr/share/doc/libvirt-python-0.9.8/events-python/event-test.py", line 457, in myDomainEventCallback2
    detailToString(event, detail))
  File "/usr/share/doc/libvirt-python-0.9.8/events-python/event-test.py", line 447, in detailToString
    return eventStrings[event][detail]
IndexError: tuple index out of range

Comment 6 Dave Allan 2012-01-03 21:13:22 UTC
It's unlikely that we're ever going to get to this BZ, so I'm going to close as WONTFIX.


Note You need to log in before you can comment on or make changes to this bug.